Subject: [Iasa20] Comments on draft-ietf-iasa2-rfc4844-bis-01

From: Alissa Cooper <[email-masked]>
Date: Fri, 8 Feb 2019 20:11:04 -0500

Earlier this week the IAB discussed whether to put draft-ietf-iasa2-rfc4844-bis-01 out for community review. In reviewing it I felt there were some clarifications needed before it would be ready and the IAB thought the most appropriate path would be to bring those to the WG for resolution first.

I haven’t started my AD review of 4071bis yet (hope to next week), but I think 4071bis has a problem in that the definition of “IASA” in that document is broken (it refers to the definition in 4071, which it itself is obsoleting). And until it is clear how we are defining “IASA,” I have trouble with statements such as the following from Section 3.3 in 4844bis:

"The IASA is tasked with providing the funding for and operational oversight of the RFC Editor.”

Is the RSOC part of IASA? It’s pretty hard to tell without a good definition of IASA, which we do not currently have IMO. (I think there is a further problem with the sentence above, which is that the funding comes from the LLC, and it would be better to be that specific.)

While looking at Section 3.3, I don’t think this text belongs there since this document is about the RFC series and editor, not IASA generally:

"The IETF LLC Board provides oversight of the IASA, and the IETF Executive Director is the chief actor for the IASA.”

I also find lack of clarity between 4844bis Section 3 and 6635bis Section 3. For example, 4844bis says:

"The IETF Executive Director works with the IAB to identify suitable persons or entities to fulfill the mandate of the RFC Editor.”

While 6635bis says:

"For all decisions that affect the RSE individually (e.g., hiring and firing), the RSOC prepares recommendations for the IAB, but the final decision is the responsibility of the IAB.”

But under the current model (which I presume we plan to keep), the ED is a member of the RSOC. So does the ED work directly with the IAB? Or indirectly with the IAB through the RSOC? Or both?

4844bis also says:

"The IETF Executive Director may define additional operational requirements and policies for management purposes to meet the requirements defined by the various communities.”

I wonder if this is really consistent with what is envisioned in 6635bis.

I also find it odd that the budget for an RSE search is discussed in 6635bis, while the budget for the RFC Editor function overall is discussed in 4844bis — is the separation meaningful? Since the LLC Board approves the whole IETF budget, presumably what 4844bis says about the RFC Editor budget applies to the search budget mentioned in 6635bis as well, but since it’s not explicit it isn’t totally clear.

Thanks,
Alissa

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Fri, 8 Feb 2019 20:18:39 -0500

On Fri, Feb 8, 2019 at 20:11 Alissa Cooper <[email-masked]> wrote:

>
> I haven’t started my AD review of 4071bis yet (hope to next week), but I
> think 4071bis has a problem in that the definition of “IASA” in that
> document is broken (it refers to the definition in 4071, which it itself is
> obsoleting). And until it is clear how we are defining “IASA,” I …
>

Ah, yeah there are a number of references in 4071bis that point to 4071;
we'll need to fix that. Best, Joe

> --
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 8 Feb 2019 20:40:59 -0500

With regard to the RSE search budget reference, my understanding of the 
reasoning when I wrote that is that the IAB and RSOC perform the search. 
  The RFC Editor function does not perform the search.  Therefore the 
search should not come from the RFC Editor function budget.

As for the ED being a member of the RSOC, as far as I know the ED (and 
before that the IAD) was a liaison to the RSOC, not a member.  It does 
help keep communication clear that the ED knows what the RSOC is 
recommending to the IAB, and why.

Yours,
Joel

On 2/8/19 8:11 PM, Alissa Cooper wrote:
> Earlier this week the IAB discussed whether to 
> put draft-ietf-iasa2-rfc4844-bis-01 out for community review. In 
> reviewing it I felt there were some clarifications needed before it 
> would be ready and the IAB thought the most appropriate path would be to 
> bring those to the WG for resolution first.
> 
> ...
> 
> But under the current model (which I presume we plan to keep), the ED is 
> a member of the RSOC. So does the ED work directly with the IAB? Or 
> indirectly with the IAB through the RSOC? Or both?
> 
> 4844bis also says:
> 
> "The IETF Executive Director may define additional operational 
> requirements and policies for management purposes to meet the 
> requirements defined by the various communities.”
> 
> I also find it odd that the budget for an RSE search is discussed in 
> 6635bis, while the budget for the RFC Editor function overall is 
> discussed in 4844bis — is the separation meaningful? Since the LLC Board 
> approves the whole IETF budget, presumably what 4844bis says about the 
> RFC Editor budget applies to the search budget mentioned in 6635bis as 
> well, but since it’s not explicit it isn’t totally clear.
> 
> Thanks,
> Alissa
> 
> 
> 
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20
>

---

From: Russ Housley <[email-masked]>
Date: Sat, 9 Feb 2019 13:44:01 -0500

Alissa:

I think we want the hiring/firing of the RFC Series Editor to stay with the IAB, but the funding to stay with IASA.  The decision whether the ED serves on the ROC should not be determined by this document.  If the IAB wants the ED to be part of RSOC, they can make that appointment.

Perhaps it would be best to make this change:

OLD:

   The IASA is tasked with providing the funding for and operational
   oversight of the RFC Editor.

NEW:

   The IASA is tasked with providing the funding for the RFC Editor.
   The IETF Executive Director is tasked with overnight of contracts
   and operational agreements related to the RFC Editor.

Russ

> On Feb 8, 2019, at 8:11 PM, Alissa Cooper <[email-masked]> wrote:
>

---

From: Richard Barnes <[email-masked]>
Date: Sat, 9 Feb 2019 18:48:57 -0500

On Sat, Feb 9, 2019 at 1:44 PM Russ Housley <[email-masked]> wrote:

> Alissa:
>
> I think we want the hiring/firing of the RFC Series Editor to stay with
> the IAB, but the funding to stay with IASA.
>

This is not a reasonable thing to ask.  One of the key driving factors for
this whole endeavor it makes no legal sense for an organization to delegate
its hiring / firing / contracting decisions to people external to that
organization.

By all means, the IASA should work with the IAB on the RSE, but since the
IASA is ultimately the responsible party, it can't totally cede
responsibility.  The "operational oversight" text that's in there now seems
like it captures this accurately.

> The decision whether the ED serves on the ROC should not be determined by
> this document.  If the IAB wants the ED to be part of RSOC, they can make
> that appointment.
>

I don't see how this accomplishes what you claim above.  The IETF ED is
part of the IASA.  And especially given that, the second sentence here is
really just micromanagement of the LLC.

--Richard

> put draft-ietf-iasa2-rfc4844-bis-01 out for community review. In reviewing
> it I felt there were some clarifications needed before it would be ready
> and the IAB thought the most appropriate path would be to bring those to
> the WG for resolution first.
>
> obsoleting). And until it is clear how we are defining “IASA,” I have
> trouble with statements such as the following from Section 3.3 in 4844bis:
>
> Is the RSOC part of IASA? It’s pretty hard to tell without a good
> definition of IASA, which we do not currently have IMO. (I think there is a
> further problem with the sentence above, which is that the funding comes
> from the LLC, and it would be better to be that specific.)
>
> While looking at Section 3.3, I don’t think this text belongs there since
> this document is about the RFC series and editor, not IASA generally:
>
> "The IETF LLC Board provides oversight of the IASA, and the IETF Executive
> Director is the chief actor for the IASA.”
>
> "The IETF Executive Director works with the IAB to identify suitable persons
> or entities to fulfill the mandate of the RFC Editor.”
>
> While 6635bis says:
>
> "For all decisions that affect the RSE individually (e.g., hiring and firing),
> the RSOC prepares recommendations for the IAB, but the final decision is
> the responsibility of the IAB.”
>
> But under the current model (which I presume we plan to keep), the ED is a
> member of the RSOC. So does the ED work directly with the IAB? Or
> 6635bis, while the budget for the RFC Editor function overall is discussed
> in 4844bis — is the separation meaningful? Since the LLC Board approves the
> whole IETF budget, presumably what 4844bis says about the RFC Editor budget
> applies to the search budget mentioned in 6635bis as well, but since it’s
> not explicit it isn’t totally clear.
>
> Thanks,
> Alissa
>
>
>

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 9 Feb 2019 23:59:03 +0000

On 09/02/2019 23:48, Richard Barnes wrote:
> This is not a reasonable thing to ask.

I'm way behind in being up to speed on this wg's stuff, so I
may be off base here, but I reckon I strongly agree with Russ.
The IAB are picked by the community and ought be the ones to
hire a new RSE if one is needed. With no disrespect meant to
trades-persons, I'd be fine with the hiring of electricians
being handled internal to IASA; but not an RSE - the context
here means those are utterly different.

Cheers,
S.

PS: I'd have said the above even were I not an incoming IAB
member and hope not to be involved in picking a new RSE whilst
on the IAB:-)

> One of the key driving factors for

---

From: Richard Barnes <[email-masked]>
Date: Sat, 9 Feb 2019 19:23:49 -0500

> here means those are utterly different.

When the IAB wants to take legal responsibility for the RSE contract, they
can control it.  If they don't, then they can't.

That doesn't mean they can't be extensively consulted, but they can't have
ultimate authority over the contract, since they aren't a party.

--Richard

> reviewing
> >> "The IASA is tasked with providing the funding for and operational
> oversight
> >> of the RFC Editor.”
> >>
> >> I also find lack of clarity between 4844bis Section 3 and 6635bis
> Section
> >> 3. For example, 4844bis says:
> >>
> discussed

---

From: Bob Hinden <[email-masked]>
Date: Sat, 9 Feb 2019 16:57:53 -0800

Hi

> On Feb 9, 2019, at 3:59 PM, Stephen Farrell <[email-masked]> wrote:
> 
> 
> 

+1

The relations between the IAB and the LLC is defined in RFC6635 and updated for IASA2.0 in draft-ietf-iasa2-rfc6635bis-03.   Specifically Section 4. "Administrative Implementation".

Bob

> <0x5AB2FAF17B172BEA.asc>_______________________________________________
> iasa20 mailing list
> [email-masked]

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 9 Feb 2019 20:10:32 -0500

Richard, as far as I can tell you have this backwards.
The responsibility for the RFC Series, and for the RSE, rests with the 
IAB.
The IAB, as a practical matter, does not have the ability to contract. 
So the IAD was the person to handle the contract with the RSE.  And the 
ISOC provided the money.

The only say Ray had in the RSE process was if there was a problem and 
the contract could not be agreed.

For the IASA2 working group to change the authority over the RSE would 
be a major structural change.  The ONLY reason we are revising 6635 is 
to update the references to the IASA.  Bob has been careful about that.

Do NOT attempt to make this change under this rubric.

Yours,
Joel

On 2/9/19 7:23 PM, Richard Barnes wrote:
> 
> 
> On Sat, Feb 9, 2019 at 6:59 PM Stephen Farrell 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
>      > On Sat, Feb 9, 2019 at 1:44 PM Russ Housley <[email-masked]
>     <mailto:[email-masked]>> wrote:
>      >
>      >> Alissa:
>      >>
> When the IAB wants to take legal responsibility for the RSE contract, 
> they can control it.  If they don't, then they can't.
> 
> That doesn't mean they can't be extensively consulted, but they can't 
> have ultimate authority over the contract, since they aren't a party.
> 
> --Richard
> 
> 
>     Cheers,
>     S.
> 
>      >> On Feb 8, 2019, at 8:11 PM, Alissa Cooper <[email-masked]
>     <mailto:[email-masked]>> wrote:
>      >>
>      >> "The IASA is tasked with providing the funding for and
>     operational oversight
>      >> of the RFC Editor.”
>      >>
>      >> I also find lack of clarity between 4844bis Section 3 and
>     6635bis Section
>      >> [email-masked] <mailto:[email-masked]>
>      > [email-masked] <mailto:[email-masked]>

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 10 Feb 2019 01:17:53 -0000

Pardon me for being parochial, but while 4844 is open there are some small nits about the ISE I'd like to fix. 

4844 pre-dates 6548 so the text it includes about the Independent Stream is kind of wrong. While I understand that the purpose of re-opening 4844 is to handle the IASA2 side of things, I don't know that we should publish the bis as currently formed. 

5.1.4 is not aligned with 6548. I think the best way to fix this with minimal pain is to add two further bullets so:
OLD
   o  Procedures for Rights Handling in the RFC Independent Submission
       Stream [RFC5744],

   o  Independent Submission Editor Model [I-D.ietf-iasa2-rfc6548bis],

   o  Independent Submissions to the RFC Editor [RFC4846],

   o  The IESG and RFC Editor Documents: Procedures [RFC3932].
NEW
   o  Independent Submissions to the RFC Editor [RFC4846],

   o  The IESG and RFC Editor Documents: Procedures [RFC3932].
END

5.2.4 should, at least include a simple reference to 6548 and probably 4846. This could be: "Procedures and processes for the Independent Stream are described in [RFC4846] and [I-D.ietf-iasa2-rfc6548bis]."

Thanks,
Adrian

-----Original Message-----
From: iasa20 <[email-masked]> On Behalf Of Stephen Farrell
Sent: 09 February 2019 23:59
To: Richard Barnes <[email-masked]>; Russ Housley <[email-masked]>
Cc: [email-masked]; IASA 2 WG <[email-masked]>; Alissa Cooper <[email-masked]>
Subject: Re: [Iasa20] Comments on draft-ietf-iasa2-rfc4844-bis-01

Cheers,
S.

---

From: Richard Barnes <[email-masked]>
Date: Sat, 9 Feb 2019 20:27:04 -0500

The text that's in IETF process docs does not matter here.  I'm talking
about the raw legal facts.

The RSE contract is an agreement between some legal entity and the RSE.
That entity has decision power over the contract, no matter what we say on
this mailing list or in an RFC.  That entity was ISOC; it is now the LLC,
since the contract has been reassigned.  In neither case does the IAB have
decision authority, nor did they ever.

--Richard

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 9 Feb 2019 20:45:37 -0500

Not quite.
While the IETF LLC (or, before that, the ISOC and the IASA) can sign 
contracts with whomever they want, they do NOT have the authority to 
make that person the RSE.  That authority resides with the IAB, and the 
primary responsibility for it is delegated to the RSOC, as an arm of the 
IAB.

the RSOC does not now, and has not ever, report to the IETF LLC, the 
IASA, or the ISOC.  The RSOC has made its performance reviews available 
to the IAD (and presumably will make them available to the eD).  Because 
to do otherwise wouldn't work.

This whole house of cards we are building relies on cooperation between 
the various entities.  To date, everyone has been very careful NOT to 
rock that boat.  We want this to work.

Please do not attempt to insert larger structural changes into these 
document revisions.

Yours,
Joel

On 2/9/19 8:27 PM, Richard Barnes wrote:
> That entity has decision power over the contract, no matter what we say 
> on this mailing list or in an RFC.  That entity was ISOC; it is now the 
> LLC, since the contract has been reassigned.  In neither case does the 
> IAB have decision authority, nor did they ever.
> 
> --Richard
> 
> On Sat, Feb 9, 2019 at 8:10 PM Joel M. Halpern <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>      > <[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked]
>     <mailto:[email-masked]>>> wrote:
>      >
>      >
>      >
>      >      > On Sat, Feb 9, 2019 at 1:44 PM Russ Housley
>     <[email-masked] <mailto:[email-masked]>
>      >     <mailto:[email-masked] <mailto:[email-masked]>>>
>     wrote:
>      >      >
>      >      >> Alissa:
>      >      >>
>      >      >> I think we want the hiring/firing of the RFC Series Editor to
>      >     stay with
>      >      >> the IAB, but the funding to stay with IASA.
>      >      >>
>      >      >
>      >      > This is not a reasonable thing to ask.
>      >
>      >      > One of the key driving factors for
>      >      > this whole endeavor it makes no legal sense for an
>     organization
>      >     to delegate
>      >      > its hiring / firing / contracting decisions to people
>     external to
>      >     that
>      >      > organization.
>      >      >
>      >      > By all means, the IASA should work with the IAB on the
>     RSE, but
>      >     since the
>      >      > IASA is ultimately the responsible party, it can't totally
>     cede
>      >      > responsibility.  The "operational oversight" text that's
>     in there
>      >     now seems
>      >      > like it captures this accurately.
>      >      >
>      >      >
>      >      >
>      >      >> The decision whether the ED serves on the ROC should not be
>      >     determined by
>      >      >> this document.  If the IAB wants the ED to be part of
>     RSOC, they
>      >     can make
>      >      >> that appointment.
>      >      >>
>      >      >> Perhaps it would be best to make this change:
>      >      >>
>      >      >> OLD:
>      >      >>
>      >      >>    The IASA is tasked with providing the funding for and
>     operational
>      >      >>    oversight of the RFC Editor.
>      >      >>
>      >      >> NEW:
>      >      >>
>      >      >>    The IASA is tasked with providing the funding for the
>     RFC Editor.
>      >      >>    The IETF Executive Director is tasked with overnight
>     of contracts
>      >      >>    and operational agreements related to the RFC Editor.
>      >      >>
>      >      >
>      >      > I don't see how this accomplishes what you claim above. 
>     The IETF
>      >     ED is
>      >      > part of the IASA.  And especially given that, the second
>     sentence
>      >     here is
>      >      > really just micromanagement of the LLC.
>      >      >
>      >      > --Richard
>      >      >
>      >      >
>      >      >
>      >      >>
>      >      >> Russ
>      >      >>
>      >      >> On Feb 8, 2019, at 8:11 PM, Alissa Cooper
>     <[email-masked] <mailto:[email-masked]>
>      >     <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>      >      >>
>      >      >> Earlier this week the IAB discussed whether to
>      >      >> put draft-ietf-iasa2-rfc4844-bis-01 out for community
>     review. In
>      >     reviewing
>      >      >> it I felt there were some clarifications needed before it
>     would
>      >     be ready
>      >      >> and the IAB thought the most appropriate path would be to
>     bring
>      >     those to
>      >      >> the WG for resolution first.
>      >      >>
>      >      >> I haven’t started my AD review of 4071bis yet (hope to next
>      >     week), but I
>      >      >> think 4071bis has a problem in that the definition of
>     “IASA” in that
>      >      >> document is broken (it refers to the definition in 4071,
>     which
>      >     it itself is
>      >      >> obsoleting). And until it is clear how we are defining
>     “IASA,” I
>      >     have
>      >      >> trouble with statements such as the following from
>     Section 3.3
>      >     in 4844bis:
>      >      >>
>      >      >> "The IASA is tasked with providing the funding for and
>      >     operational oversight
>      >      >> of the RFC Editor.”
>      >      >>
>      >      >> Is the RSOC part of IASA? It’s pretty hard to tell
>     without a good
>      >      >> definition of IASA, which we do not currently have IMO.
>     (I think
>      >     there is a
>      >      >> further problem with the sentence above, which is that the
>      >     funding comes
>      >      >> from the LLC, and it would be better to be that specific.)
>      >      >>
>      >      >> While looking at Section 3.3, I don’t think this text belongs
>      >     there since
>      >      >> this document is about the RFC series and editor, not IASA
>      >     generally:
>      >      >>
>      >      >> "The IETF LLC Board provides oversight of the IASA, and
>     the IETF
>      >     Executive
>      >      >> Director is the chief actor for the IASA.”
>      >      >>
>      >      >> I also find lack of clarity between 4844bis Section 3 and
>      >     6635bis Section
>      >      >> 3. For example, 4844bis says:
>      >      >>
>      >      >> "The IETF Executive Director works with the IAB to identify
>      >     suitable persons
>      >      >> or entities to fulfill the mandate of the RFC Editor.”
>      >      >>
>      >      >> While 6635bis says:
>      >      >>
>      >      >> "For all decisions that affect the RSE individually (e.g.,
>      >     hiring and firing),
>      >      >> the RSOC prepares recommendations for the IAB, but the final
>      >     decision is
>      >      >> the responsibility of the IAB.”
>      >      >>
>      >      >> But under the current model (which I presume we plan to
>     keep),
>      >     the ED is a
>      >      >> member of the RSOC. So does the ED work directly with the
>     IAB? Or
>      >      >> indirectly with the IAB through the RSOC? Or both?
>      >      >>
>      >      >> 4844bis also says:
>      >      >>
>      >      >> "The IETF Executive Director may define additional
>     operational
>      >      >> requirements and policies for management purposes to meet the
>      >      >> requirements defined by the various communities.”
>      >      >>
>      >      >> I wonder if this is really consistent with what is
>     envisioned in
>      >     6635bis.
>      >      >>
>      >      >> I also find it odd that the budget for an RSE search is
>     discussed in
>      >      >> 6635bis, while the budget for the RFC Editor function
>     overall is
>      >     discussed
>      >      >> in 4844bis — is the separation meaningful? Since the LLC
>     Board
>      >     approves the
>      >      >> whole IETF budget, presumably what 4844bis says about the RFC
>      >     Editor budget
>      >      >> applies to the search budget mentioned in 6635bis as
>     well, but
>      >     since it’s
>      >      >> not explicit it isn’t totally clear.
>      >      >>
>      >      >> Thanks,
>      >      >> Alissa
>      >      >>
>      >      >>
>      >      >>
>      >      >> _______________________________________________
>      >      >> iasa20 mailing list
>      >      >> [email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>      >      >> https://www.ietf.org/mailman/listinfo/iasa20
>      >      >>
>      >      >
>      >      >
>      >      > _______________________________________________
>      >      > iasa20 mailing list
>      >      > [email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>      >      > https://www.ietf.org/mailman/listinfo/iasa20
>      >      >
>      >
>      >

---

From: Richard Barnes <[email-masked]>
Date: Sat, 9 Feb 2019 21:22:42 -0500

To the extent that the RSE is defined as "the person the IAB calls the
RSE", then yes, you are undoubtedly correct.  The IAB has unquestionable
authority to choose that person.

To the extent that the RSE is the party of the RSE contract who is
contracted and paid to act as RFC Series Editor, then no, the IAB and RSOC
do not have the authority to choose that person, as long as they are not
the other party to that contract.

--Richard

On Sat, Feb 9, 2019 at 8:45 PM Joel M. Halpern <[email-masked]> wrote:

> >      >      > On Sat, Feb 9, 2019 at 1:44 PM Russ Housley
> >      >      >> I think we want the hiring/firing of the RFC Series
> Editor to
> >      >     stay with
> >      >      > this whole endeavor it makes no legal sense for an
> >     organization
> >      >     to delegate
> >      >      > its hiring / firing / contracting decisions to people
> >     external to
> >      >     that
> >      >      > organization.
> >      >      >
> >      >      > By all means, the IASA should work with the IAB on the
> >     RSE, but
> >      >     since the
> >      >      > responsibility.  The "operational oversight" text that's
> >     in there
> >      >     now seems
> >      >      >> The decision whether the ED serves on the ROC should not
> be
> >      >     determined by
> >      >      >> this document.  If the IAB wants the ED to be part of
> >     RSOC, they
> >      >     can make
> >      >      >> that appointment.
> >      >      >>
> >      >      > I don't see how this accomplishes what you claim above.
> >     The IETF
> >      >     ED is
> >      >      > part of the IASA.  And especially given that, the second
> >     sentence
> >      >     here is
> >      >      >> On Feb 8, 2019, at 8:11 PM, Alissa Cooper
> >      >      >> it I felt there were some clarifications needed before it
> >     would
> >      >     be ready
> >      >      >> and the IAB thought the most appropriate path would be to
> >     bring
> >      >     those to
> >      >      >> I haven’t started my AD review of 4071bis yet (hope to
> next
> >      >     week), but I
> >      >      >> document is broken (it refers to the definition in 4071,
> >     which
> >      >     it itself is
> >      >      >> obsoleting). And until it is clear how we are defining
> >     “IASA,” I
> >      >     have
> >      >      >> trouble with statements such as the following from
> >     Section 3.3
> >      >     in 4844bis:
> >      >      >>
> >      >      >> definition of IASA, which we do not currently have IMO.
> >     (I think
> >      >     there is a
> >      >      >> While looking at Section 3.3, I don’t think this text
> belongs
> >      >     there since
> >      >      >> "The IETF LLC Board provides oversight of the IASA, and
> >     the IETF
> >      >     Executive
> >      >      >> "The IETF Executive Director works with the IAB to
> identify
> >      >     suitable persons
> >      >      >> the RSOC prepares recommendations for the IAB, but the
> final
> >      >     decision is
> >      >      >> But under the current model (which I presume we plan to
> >     keep),
> >      >     the ED is a
> >      >      >> I wonder if this is really consistent with what is
> >     envisioned in
> >      >     6635bis.
> >      >      >>
> >      >      >> in 4844bis — is the separation meaningful? Since the LLC
> >     Board
> >      >     approves the
> >      >      >> whole IETF budget, presumably what 4844bis says about the
> RFC
> >      >     Editor budget
> >      >      >> applies to the search budget mentioned in 6635bis as
> >     well, but
> >      >     since it’s

---

From: Stephen Farrell <[email-masked]>
Date: Sun, 10 Feb 2019 02:34:12 +0000

Hi Richard,

Again, I think you're missing the difference between electricians
and an RSE. Continuing to confuse the importance/relevance of those
roles doesn't make them any less different.

I also think Joel is correct that over-reaching the documentation
tweaks being done in this WG would really not be a good plan.

> can control it.  If they don't, then they can't.

Disagree. One take-way from the RFCplusplus BoF could be that even
if the IAB think they control the RFC series, the community wins when
the community tells the IAB they've been inhaling the wrong fumes.
So, real control and what you term "legal responsibility" are just
not the same things.

> ultimate authority over the contract, since they aren't a party.

I'd object to any process-RFC update that made this kind of change
which I don't believe is in-charter for this WG. I suspect I'd not be
alone. (And having said that, I guess I'll now have to read all the
drafts, sheesh:-)

Cheers,
S.

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 10 Feb 2019 16:59:40 +1300

> tweaks being done in this WG would really not be a good plan.

It would be a really, really bad plan. The LLC is the IETF's servant,
not its master (just as the IAD was, despite being an ISOC employee).

Since the IETF+IAB have decided that the IAB must approve the
appointment of an organization to act as RFC Editor and the general
policy followed by the RFC Editor [BCP 39], and the LLC exists to
do the IETF's bidding, it's unambiguously the case that the LLC will
contract with whoever the IAB tells it to. Of course the LLC will be
the employer or client of record, but the orders come from the IAB.

The draft says this correctly and IMHO shouldn't be changed:

   It is the responsibility of the IAB to approve the appointment of the
   RFC Editor and to approve the general policy followed by the RFC
   Editor.

It also has the money part right:

   The IETF Administration LLC Board approves a budget for operation of
   the RFC Editor activity, and the IETF Executive Director establishes
   and manages the necessary operational agreements for the RFC Editor
   activity.

I think it would be quite confusing to move this to another document.

    Brian

---

From: Bob Hinden <[email-masked]>
Date: Sat, 9 Feb 2019 21:21:03 -0800

Richard,

> On Feb 9, 2019, at 6:22 PM, Richard Barnes <[email-masked]> wrote:
> 
> To the extent that the RSE is defined as "the person the IAB calls the RSE", then yes, you are undoubtedly correct.  The IAB has unquestionable authority to choose that person.
> 
> To the extent that the RSE is the party of the RSE contract who is contracted and paid to act as RFC Series Editor, then no, the IAB and RSOC do not have the authority to choose that person, as long as they are not the other party to that contract.

I don’t think that is the right way to describe it.   The process is: the IAB decides who it want’s to be the RSE, it then asks the [was IAOC | will be LLC] to negotiate a contract with that person and report the results of that negotiation back to the IAB.  If the LLC can’t negotiate a contract, then the IAB will need to pick someone else.  The IAB decides who it wants for the RSE, and the LLC implements that via a contract.

Another reason why it good to have the IETF Executive Director be liaison to the RSOC inorder to make this handoff go smoothly.

Bob

> > The RSE contract is an agreement between some legal entity and the RSE..  
> >      >      >> that appointment..

---

From: Eliot Lear <[email-masked]>
Date: Sun, 10 Feb 2019 13:33:58 +0100

> On 10 Feb 2019, at 06:21, Bob Hinden <[email-masked]> wrote:
> 

This is the desired process.  I think what Richard is pointing out is that the LLC is under no formal obligation to pay attention to the IAB.  And so like all good contractual relationships one has to ask what the recourse is for the LLC not following through.  The answer is quite simple: appoint different LLC directors the next time around.

That’s it.  There is no more.

And so what we can do in the RFC series is document what the IETF wants, so that LLC members at least know, and can take heed (or not, at their peril).

Eliot

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 10 Feb 2019 14:52:34 +0200

+1
AB

---

From: Michael Richardson <[email-masked]>
Date: Sun, 10 Feb 2019 12:05:59 -0500

Eliot Lear <[email-masked]> wrote:
    > This is the desired process. I think what Richard is pointing out is
    > that the LLC is under no formal obligation to pay attention to the
    > IAB. And so like all good contractual relationships one has to ask what
    > the recourse is for the LLC not following through. The answer is quite
    > simple: appoint different LLC directors the next time around.

We do this regularly in our day jobs.
As hiring managers ("IAB"), we interview and hire people.
Once we've decided, we sent them to HR ("LLC"), and they negotiate an
agreement.   HR can (and sometimes does) have reasons why they won't hire the
people we want.  They also let people go for a variety of reasons, many
of which are against the wishes of the hiring manager.

What's unique about this situation is that we ("IAB") have some control
over HR.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Richard Barnes <[email-masked]>
Date: Sun, 10 Feb 2019 17:18:53 -0500

> What's unique about this situation is that we ("IAB") have some control

This is an OK analogy, especially if you extend it to say that HR can hire
whomever they want and fire them at will, but the hiring manager might not
actually put them in the intended role if they don't like them.

Eliot exactly captured what I was trying to say, and I think he points to
the right resolution here.  Instead of saying "the hiring/firing of the RFC
Series Editor to stay with the IAB, but the funding to stay with IASA", we
can instead express the expectation of the community:

- The IAB will designate a person to be RSE, and may choose to remove or
change that designation at any time.
- The IASA is expected to make appropriate hiring/contractual arrangements
to enable the IAB's designated person to perform the RSE role.

The key difference here are the IAB does not "hire / fire", they
"designate", since they clearly cannot have the power to force the IASA to
enter into contracts.  Otherwise, I think text to this effect would encode
the desired case that Bob describes.

--Richard

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 10 Feb 2019 18:36:23 -0500

Why do we need to change the wording we have?  It has worked 
sufficiently well for quite some years.  To the degree the legal 
separation is important, it was just as important then.

This working group is not chartered to fix all the potential 
misunderstandings in our process documents.  Those are almost infinite.

Yours,
Joel

On 2/10/19 5:18 PM, Richard Barnes wrote:
> 
> 
> On Sun, Feb 10, 2019 at 12:06 Michael Richardson <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> 
>     Eliot Lear <[email-masked] <mailto:[email-masked]>> wrote:
>          > This is the desired process. I think what Richard is pointing
>     out is
>          > that the LLC is under no formal obligation to pay attention
>     to the
>          > IAB. And so like all good contractual relationships one has
>     to ask what
>          > the recourse is for the LLC not following through. The answer
>     is quite
>          > simple: appoint different LLC directors the next time around.
> 
> This is an OK analogy, especially if you extend it to say that HR can 
> hire whomever they want and fire them at will, but the hiring manager 
> might not actually put them in the intended role if they don't like them.
> 
> Eliot exactly captured what I was trying to say, and I think he points 
> to the right resolution here.  Instead of saying "the hiring/firing of 
> the RFC Series Editor to stay with the IAB, but the funding to stay with 
> IASA", we can instead express the expectation of the community:
> 
> - The IASA is expected to make appropriate hiring/contractual 
> arrangements to enable the IAB's designated person to perform the RSE role.
> 
> "designate", since they clearly cannot have the power to force the IASA 
> to enter into contracts.  Otherwise, I think text to this effect would 
> encode the desired case that Bob describes.
> 
> --Richard
> 
> 
> 
> 
> 
>     --
>     ] [email-masked] <mailto:[email-masked]>
>     http://www.sandelman.ca/        |   ruby on rails    [
> 
> 
>     --
>     Michael Richardson <[email-masked]
>     <mailto:[email-masked]>>, Sandelman Software Works

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 11 Feb 2019 14:04:50 +1300

> separation is important, it was just as important then.

Exactly (and Brad's message completely confirms this). We have WG
consensus for the current text, too.

   Brian

---

From: Eliot Lear <[email-masked]>
Date: Mon, 11 Feb 2019 11:08:48 +0100

Hi,

> On 10 Feb 2019, at 23:18, Richard Barnes <[email-masked]> wrote:
> 
>  Instead of saying "the hiring/firing of the RFC Series Editor to stay with the IAB, but the funding to stay with IASA", we can instead express the expectation of the community:
> 
> - The IAB will designate a person to be RSE, and may choose to remove or change that designation at any time.
> - The IASA is expected to make appropriate hiring/contractual arrangements to enable the IAB's designated person to perform the RSE role.
> 
> The key difference here are the IAB does not "hire / fire", they "designate", since they clearly cannot have the power to force the IASA to enter into contracts.  Otherwise, I think text to this effect would encode the desired case that Bob describes.

Right.  And what’s more, this is really in keeping with the language in draft-ietf-iasa2-rfc4071bis, which is already *pretty* careful to put things in terms of community expectations (there is one place where a “shall” is used that should probably be given careful consideration).  I think this is also in keeping with Brad’s advice, and what’s really nice is that we don’t get into legalisms in the text.  And it really does document the way things are and how they’ve been.

Eliot

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 11 Feb 2019 08:41:17 -0500

Hi Joel,

> On Feb 10, 2019, at 6:36 PM, Joel M. Halpern <[email-masked]> wrote:
> 
> Why do we need to change the wording we have?  It has worked sufficiently well for quite some years.  To the degree the legal separation is important, it was just as important then.

As I noted in my original email, there is a lack of clarity about what 4844bis is saying about oversight and responsibility. As the charter of this working group explains, lack of clarity about oversight and responsibility were some of the key problems identified in draft-haberman-iasa20dt-recs, and they are some of the problems that the documentation coming out of this working group is supposed to fix. The overall IASA structure did indeed work well for some years, and in more recent times began to show some stress, which is why we chartered this working group to make updates to it.

As you pointed out to me off-list, RFC 4844 was written before the RSOC existed. Since we are updating RFC 4844 now, though, I don’t think we can make drop-in replacement updates and pretend as though it doesn’t exist. To solve the problem of discrepancies between 4844bis and 6635bis, perhaps the easiest thing would be to replace the text in 4844bis Section 3.3 with one sentence that says “The operational oversight of the RFC Series and RFC Editor are described in [draft-ietf-iasa2-rfc6635bis]” or something along those lines. I think we still want a crystal-clear view of what the community’s expectations are for that in 6635bis given the new legal structure (might already be there, I haven’t done a close review yet), but at least from a documentation perspective we could settle on that view in one document rather than two.

Alissa

> 
> This working group is not chartered to fix all the potential misunderstandings in our process documents.  Those are almost infinite.
> 
> Yours,
> Joel
> 
>> On Sun, Feb 10, 2019 at 12:06 Michael Richardson <[email-masked] <mailto:[email-masked]>> wrote:
>> This is an OK analogy, especially if you extend it to say that HR can hire whomever they want and fire them at will, but the hiring manager might not actually put them in the intended role if they don't like them.
>> Eliot exactly captured what I was trying to say, and I think he points to the right resolution here.  Instead of saying "the hiring/firing of the RFC Series Editor to stay with the IAB, but the funding to stay with IASA", we can instead express the expectation of the community:

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 11 Feb 2019 08:50:22 -0500

Updating 4844 with reference to 6635bis would be fine with me.
Yours,
Joel

---

From: "Leslie Daigle" <[email-masked]>
Date: Mon, 11 Feb 2019 11:55:45 -0500

So, I agree with this characterization 100%:

[Bob Hinden wrote:]
> The process is: the IAB decides who it want’s to be the RSE, it then 
> asks the [was IAOC | will be LLC] to negotiate a contract with that 
> person and report the results of that negotiation back to the IAB. If 
> the LLC can’t negotiate a contract, then the IAB will need to pick 
> someone else. The IAB decides who it wants for the RSE, and the LLC 
> implements that via a contract.

I think Richard’s later clarification works [*], but will note 
that’s an update to 6635bis (Alissa’s note was commenting on the 
seeming discrepancies between 4844bis and 6635bis, and the hiring/firing 
text was in the latter).

But, to make a larger point:  it’s not just hiring/firing/designating 
as a single decision point.  Every question of responsibility for the 
contract and the contractor lies, legally, with the LLC (e.g., if some 
future RSE turns out to be a serial killer, the LLC might take issue 
with continuing employment…).  ED involvement is non-optional.

What we have to get clear in these documents is that the contract is the 
LLC’s, and that it’s the tail.  The IAB owns the responsibility to 
ensure that the RFC Series continues to meet its mission, including the 
responsibility of identifying an appropriate RSE.  That responsibility 
is the dog.  (<difficult sentence about IAB wagging contract tail 
omitted for clarity>).

The fact that the IAB undertakes the fulfillment of the responsibility 
by working with the RSOC is 1/ smart and 2/  an implementation.

Both 4844bis and 6635bis might do with some clarification, but I don’t 
think the text is actually at odds between them, even now.

Leslie.

On 10 Feb 2019, at 0:21, Bob Hinden wrote:

>> To the extent that the RSE is defined as "the person the IAB calls 
>> the RSE", then yes, you are undoubtedly correct.  The IAB has 
>> unquestionable authority to choose that person.
>>
>> contracted and paid to act as RFC Series Editor, then no, the IAB and 
>> RSOC do not have the authority to choose that person, as long as they 
>> are not the other party to that contract.
>
> I don’t think that is the right way to describe it.   The process 
> is: the IAB decides who it want’s to be the RSE, it then asks the 
> [was IAOC | will be LLC] to negotiate a contract with that person and 
> report the results of that negotiation back to the IAB.  If the LLC 
> can’t negotiate a contract, then the IAB will need to pick someone 
> else.  The IAB decides who it wants for the RSE, and the LLC 
> implements that via a contract.
>
> Another reason why it good to have the IETF Executive Director be 
> liaison to the RSOC inorder to make this handoff go smoothly.
>
> Bob
>
>>
>> --Richard
>>
>>
>>>      > That doesn't mean they can't be extensively consulted, but 
>>> they
>>>     can't
>>>      >      > IASA is ultimately the responsible party, it can't 
>>> totally
>>>     cede
>>>      >      >> The decision whether the ED serves on the ROC should 
>>> not be
>>>      >     determined by
>>>      >      >>    The IASA is tasked with providing the funding for 
>>> and
>>>     operational
>>>      >      >>    The IASA is tasked with providing the funding for 
>>> the
>>>     RFC Editor.
>>>      >      >>    The IETF Executive Director is tasked with 
>>> overnight
>>>     of contracts
>>>      >      >> I haven’t started my AD review of 4071bis yet (hope 
>>> to next
>>>      >     week), but I
>>>      >      >> further problem with the sentence above, which is 
>>> that the
>>>      >     funding comes
>>>      >      >> While looking at Section 3.3, I don’t think this 
>>> text belongs
>>>      >     there since
>>>      >      >> this document is about the RFC series and editor, not 
>>> IASA
>>>      >     generally:
>>>      >      >>
>>>      >      >> "For all decisions that affect the RSE individually 
>>> (e.g.,
>>>      >     hiring and firing),
>>>      >      >> the RSOC prepares recommendations for the IAB, but 
>>> the final
>>>      >     decision is
>>>      >      >> member of the RSOC. So does the ED work directly with 
>>> the
>>>     IAB? Or
>>>      >      >> I also find it odd that the budget for an RSE search 
>>> is
>>>     discussed in
>>>      >      >> whole IETF budget, presumably what 4844bis says about 
>>> the RFC
>>>      >     Editor budget

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------

---

From: Robert Sparks <[email-masked]>
Date: Mon, 11 Feb 2019 12:12:50 -0600

There's a similar place where the concept is wrangled in section 2.2 of 
rfc6220bis. The current wording in that doc ("To be clear, the IAB is in 
the deciding role"...) may also need to be adjusted to match whatever 
conclusion comes of this thread.

RjS

On 2/11/19 10:55 AM, Leslie Daigle wrote:
>     The process is: the IAB decides who it want’s to be the RSE, it
>     then asks the [was IAOC | will be LLC] to negotiate a contract
>     with that person and report the results of that negotiation back
>     to the IAB. If the LLC can’t negotiate a contract, then the IAB
>     will need to pick someone else. The IAB decides who it wants for
>     the RSE, and the LLC implements that via a contract.
>
> I think Richard’s later clarification works [*], but will note that’s 
> an update to 6635bis (Alissa’s note was commenting on the seeming 
> discrepancies between 4844bis and 6635bis, and the hiring/firing text 
> was in the latter).
>
> What we have to get clear in these documents is that the contract is 
> the LLC’s, and that it’s the tail. The IAB owns the responsibility to 
> ensure that the RFC Series continues to meet its mission, including 
> the responsibility of identifying an appropriate RSE. That 
> responsibility is the dog. (<difficult sentence about IAB wagging 
> contract tail omitted for clarity>).
>
>         To the extent that the RSE is defined as "the person the IAB
>         calls the RSE", then yes, you are undoubtedly correct. The IAB
>         has unquestionable authority to choose that person.
>
>         To the extent that the RSE is the party of the RSE contract
>         who is contracted and paid to act as RFC Series Editor, then
>         no, the IAB and RSOC do not have the authority to choose that
>         person, as long as they are not the other party to that contract.
>
>     [was IAOC | will be LLC] to negotiate a contract with that person
>     and report the results of that negotiation back to the IAB. If the
>     LLC can’t negotiate a contract, then the IAB will need to pick
>     someone else. The IAB decides who it wants for the RSE, and the
>     LLC implements that via a contract.
>
>             > That doesn't mean they can't be extensively consulted,
>             but they
>             can't
> ------------------------------------------------------------------------
>
> Leslie Daigle
>     [email-masked] <mailto:[email-masked]>
>
>

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 13 Feb 2019 21:27:03 -0500

Hi Leslie,

> On Feb 11, 2019, at 11:55 AM, Leslie Daigle <[email-masked]> wrote:
> 
> The process is: the IAB decides who it want’s to be the RSE, it then asks the [was IAOC | will be LLC] to negotiate a contract with that person and report the results of that negotiation back to the IAB. If the LLC can’t negotiate a contract, then the IAB will need to pick someone else. The IAB decides who it wants for the RSE, and the LLC implements that via a contract.
> 
> I think Richard’s later clarification works [*], but will note that’s an update to 6635bis (Alissa’s note was commenting on the seeming discrepancies between 4844bis and 6635bis, and the hiring/firing text was in the latter).
> 
> But, to make a larger point: it’s not just hiring/firing/designating as a single decision point. Every question of responsibility for the contract and the contractor lies, legally, with the LLC (e.g., if some future RSE turns out to be a serial killer, the LLC might take issue with continuing employment…). ED involvement is non-optional.
> 
> What we have to get clear in these documents is that the contract is the LLC’s, and that it’s the tail. The IAB owns the responsibility to ensure that the RFC Series continues to meet its mission, including the responsibility of identifying an appropriate RSE. That responsibility is the dog. (<difficult sentence about IAB wagging contract tail omitted for clarity>).
> 
> The fact that the IAB undertakes the fulfillment of the responsibility by working with the RSOC is 1/ smart and 2/ an implementation.
> 
> Both 4844bis and 6635bis might do with some clarification, but I don’t think the text is actually at odds between them, even now.
> 
> 

Does this mean you’re opposed to my suggestion to replace the text in 3.3 with a one-sentence reference to 6635bis? Just trying to figure out what the path forward is here.

Thanks,
Alissa

> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
> 
> > <[email-masked] <mailto:[email-masked] <mailto:[email-masked]>>
> <mailto:[email-masked] <mailto:[email-masked]>
> <mailto:[email-masked] <mailto:[email-masked]>>>> wrote:
> >
> >
> >
> <[email-masked] <mailto:[email-masked] <mailto:[email-masked]>>
> > <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>>>
> wrote:
> > >
> > >> Alissa:
> > >>
> <[email-masked] <mailto:[email-masked] <mailto:[email-masked]>>
> > <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>>> wrote:
> > >>
> > >> [email-masked] <mailto:[email-masked] <mailto:[email-masked]>>
> <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>>
> > >> https://www.ietf.org/mailman/listinfo/iasa20 <https://www.ietf.org/mailman/listinfo/iasa20>
> > >>
> > >
> > >
> > > [email-masked] <mailto:[email-masked] <mailto:[email-masked]>>
> <mailto:[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>>
> > > https://www.ietf.org/mailman/listinfo/iasa20 <https://www.ietf.org/mailman/listinfo/iasa20>
> > >
> >
> >
> > [email-masked] <mailto:[email-masked] <mailto:[email-masked]>>
> > https://www.ietf.org/mailman/listinfo/iasa20 <https://www.ietf.org/mailman/listinfo/iasa20>
> >
> https://www.ietf.org/mailman/listinfo/iasa20 <https://www.ietf.org/mailman/listinfo/iasa20>
> https://www.ietf.org/mailman/listinfo/iasa20 <https://www.ietf.org/mailman/listinfo/iasa20>
> --
> 
> Leslie Daigle

---

From: "Leslie Daigle" <[email-masked]>
Date: Thu, 14 Feb 2019 12:29:07 -0500

Hi Alissa,

You ask if I am opposed to this:

[You wrote, earlier:]
> To solve the problem of discrepancies between 4844bis and 6635bis, 
> perhaps the easiest thing would be to replace the text in 4844bis 
> Section 3.3 with one sentence that says “The operational oversight 
> of the RFC Series and RFC Editor are described in 
> [draft-ietf-iasa2-rfc6635bis]”
>

To the extent that 4844 is outlining the overall architecture, and 6635 
is more focused on implementation, I think you’re right to suggest we 
leave details in 6635.

However, to my point about being crystal clear about responsibilities, I 
think the architecture (4844) needs to articulate responsibilities.

With no notion of what Russ thinks of this, I can suggest the update 
below (a few tweaks in the existing paragraphs, deleting some of the 
objectionable detail, and a new end paragraph pointing to RFC 6635).

OLD:
3.3.  Operational Oversight

    The IETF Administration Limited Liability Company (IETF LLC), as 
part
    of the IETF Administrative Support Activity (IASA), is responsible
    for administrative and financial matters for the IETF, the IAB, and
    the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis].
    The IASA is tasked with providing the funding for and operational
    oversight of the RFC Editor.

    The IETF LLC Board provides oversight of the IASA, and the IETF
    Executive Director is the chief actor for the IASA.

    The IETF Executive Director works with the IAB to identify suitable
    persons or entities to fulfill the mandate of the RFC Editor.

    The IETF Executive Director establishes appropriate contractual
    agreements with the selected persons or entities to carry out the
    work that will satisfy the technical publication requirements 
defined
    for the various RFC input streams (see Section 5.2).  The IETF
    Executive Director may define additional operational requirements 
and
    policies for management purposes to meet the requirements defined by
    the various communities.

PROPOSED:

3.3.  Operational Oversight

    The IETF Administration Limited Liability Company (IETF LLC), as 
part
    of the IETF Administrative Support Activity (IASA), is responsible
    for administrative and financial matters for the IETF, the IAB, and
    the Internet Research Task Force (IRTF) [I-D.ietf-iasa2-rfc4071bis].
    As such, the IASA is tasked with providing the funding for and 
operational
    oversight of the RFC Editor.

    The IETF Executive Director establishes appropriate contractual
    agreements with the selected persons or entities to carry out the
    work that will satisfy the technical publication requirements 
defined
    for the various RFC input streams (see Section 5.2).  The IETF
    Executive Director may define additional operational requirements 
and
    policies for management purposes to meet the requirements defined by
    the various communities.

    The specific details of how the IAB engages in the process of 
approving
    an RFC Editor apopintment,  and how IASA and IETF Executive Director
    carry out these operational responsibilities is detailed in RFC6635
    (and its successors).

Leslie.

-- 

On 13 Feb 2019, at 21:27, Alissa Cooper wrote:

>> then asks the [was IAOC | will be LLC] to negotiate a contract with 
>> that person and report the results of that negotiation back to the 
>> IAB. If the LLC can’t negotiate a contract, then the IAB will need 
>> to pick someone else. The IAB decides who it wants for the RSE, and 
>> the LLC implements that via a contract.
>>
>> seeming discrepancies between 4844bis and 6635bis, and the 
>> hiring/firing text was in the latter).
>>
>> But, to make a larger point: it’s not just 
>> hiring/firing/designating as a single decision point. Every question 
>> of responsibility for the contract and the contractor lies, legally, 
>> with the LLC (e.g., if some future RSE turns out to be a serial 
>> killer, the LLC might take issue with continuing employment…). ED 
>> involvement is non-optional.
>>
>> the LLC’s, and that it’s the tail. The IAB owns the 
>> responsibility to ensure that the RFC Series continues to meet its 
>> mission, including the responsibility of identifying an appropriate 
>> RSE. That responsibility is the dog. (<difficult sentence about IAB 
>> wagging contract tail omitted for clarity>).
>>
>> The fact that the IAB undertakes the fulfillment of the 
>> responsibility by working with the RSOC is 1/ smart and 2/ an 
>> implementation.
>>
>> Both 4844bis and 6635bis might do with some clarification, but I 
>> don’t think the text is actually at odds between them, even now.
>>
>>
>
> Does this mean you’re opposed to my suggestion to replace the text 
> in 3.3 with a one-sentence reference to 6635bis? Just trying to figure 
> out what the path forward is here.
>
> Thanks,
> Alissa
>
>> Leslie.
>>
>> I don’t think that is the right way to describe it. The process is: 
>> the IAB decides who it want’s to be the RSE, it then asks the [was 
>> IAOC | will be LLC] to negotiate a contract with that person and 
>> <mailto:[email-masked]>>>> wrote:
>>>
>>>
>>>
>>> <mailto:[email-masked] <mailto:[email-masked]> 
>>> <mailto:[email-masked] <mailto:[email-masked]>>>>
>> wrote:
>>>>
>>>>> Alissa:
>>>>>
>>> <mailto:[email-masked] <mailto:[email-masked]> 
>>> <mailto:[email-masked] <mailto:[email-masked]>>>> wrote:
>>>>>
>> <mailto:[email-masked] <mailto:[email-masked]> 
>> <mailto:[email-masked] <mailto:[email-masked]>>>
>>>>> <https://www.ietf.org/mailman/listinfo/iasa20>
>>>>>
>>>>
>>>>
>> <mailto:[email-masked] <mailto:[email-masked]> 
>> <mailto:[email-masked] <mailto:[email-masked]>>>
>>>> <https://www.ietf.org/mailman/listinfo/iasa20>
>>>>
>>>
>>>
>>> <https://www.ietf.org/mailman/listinfo/iasa20>
>>>
>> <https://www.ietf.org/mailman/listinfo/iasa20>
>> <https://www.ietf.org/mailman/listinfo/iasa20>
>> --
>>
>> Leslie Daigle

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 15 Feb 2019 10:21:45 -0500

Hi Leslie,

Thanks for drafting text. Some comments below.

> On Feb 14, 2019, at 12:29 PM, Leslie Daigle <[email-masked]> wrote:
> PROPOSED:
> 
> The IETF Administration Limited Liability Company (IETF LLC), as part
> As such, the IASA is tasked with providing the funding for and operational

Perhaps the resolution of this just needs to wait until the issue with the definition of “IASA” is resolved in 4071bis, because based on my understanding of what “IASA” includes and who performs operational oversight over the RFC Editor, the above is not accurate. For example, over the last few weeks I’ve been discussing with Heather, the IAB, and the RSOC what the process is for updating the RPC SLA and whose expectations about the RPC’s performance against the SLA are meant to inform evaluations of the RPC contract. It sounds like those processes are not clearly defined, but that in the past both the RSOC and the stream managers have been involved in this piece of operational oversight. If we intend to carry those roles forward, and if IASA ends up being defined as the LLC staff and board, I don’t think it is accurate to imply that IASA exclusively conducts operational oversight of the RFC Editor.  

I’ll save my comments on the rest until I get through a re-review of 6635bis.

Thanks,
Alissa

> work that will satisfy the technical publication requirements defined
> Executive Director may define additional operational requirements and
> The specific details of how the IAB engages in the process of approving 
>> On Feb 11, 2019, at 11:55 AM, Leslie Daigle <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> On Feb 9, 2019, at 6:22 PM, Richard Barnes <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> On Sat, Feb 9, 2019 at 8:45 PM Joel M. Halpern <[email-masked] <mailto:[email-masked]>> wrote:
>> Not quite.
>> On Sat, Feb 9, 2019 at 8:10 PM Joel M. Halpern <[email-masked] <mailto:[email-masked]>
>> > <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>> <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>> <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>> > >> [email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>> > > [email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>> > [email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>

---

From: "Leslie Daigle" <[email-masked]>
Date: Fri, 15 Feb 2019 10:34:02 -0500

Alissa,

I think those are fair points, and best considered, as suggested, after 
6635bis is reviewed, too.   I think the second para in my proposed text 
is the more substantive.  In the first para quoted, it might be simple 
enough to s/operational oversight/contract oversight/.

Again — let’s revisit that when 6635bis settles somewhat.

Leslie.

-- 

On 15 Feb 2019, at 10:21, Alissa Cooper wrote:

> Perhaps the resolution of this just needs to wait until the issue with 
> the definition of “IASA” is resolved in 4071bis, because based on 
> my understanding of what “IASA” includes and who performs 
> operational oversight over the RFC Editor, the above is not accurate. 
> For example, over the last few weeks I’ve been discussing with 
> Heather, the IAB, and the RSOC what the process is for updating the 
> RPC SLA and whose expectations about the RPC’s performance against 
> the SLA are meant to inform evaluations of the RPC contract. It sounds 
> like those processes are not clearly defined, but that in the past 
> both the RSOC and the stream managers have been involved in this piece 
> of operational oversight. If we intend to carry those roles forward, 
> and if IASA ends up being defined as the LLC staff and board, I 
> don’t think it is accurate to imply that IASA exclusively conducts 
> operational oversight of the RFC Editor.
>
>> in 3.3 with a one-sentence reference to 6635bis? Just trying to 
>> figure out what the path forward is here.
>>
>> Thanks,
>> Alissa
>>
>>> Leslie.
>>>
>>> contracted and paid to act as RFC Series Editor, then no, the IAB 
>>> and RSOC do not have the authority to choose that person, as long as 
>>> they are not the other party to that contract.
>>>
>>> <mailto:[email-masked]>
>>>> <mailto:[email-masked]>>
>>> <mailto:[email-masked] <mailto:[email-masked]>>
>>> <mailto:[email-masked] <mailto:[email-masked]>>

---

From: Russ Housley <[email-masked]>
Date: Fri, 15 Feb 2019 12:34:33 -0500

Alissa and Leslie:

> I think those are fair points, and best considered, as suggested, after 6635bis is reviewed, too. I think the second para in my proposed text is the more substantive. In the first para quoted, it might be simple enough to s/operational oversight/contract oversight/.

I think the point is that IASA will manage any contracts that are needed to implement the RFC Editor functions.

I do not think anyone is trying to change the role performed by the IAB.

Russ